/*

  This file is a part of GRALEEDITOR, a program to help create input data
  for gravitational lens inversion using GRALE.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#include <QtGui>

/*
#include <QGraphicsScene>
#include "editorwidget.h"
#include "pointitem.h"
#include "layeritem.h"
#include "triangleitem.h"
#include "fitsitem.h"
#include "coordinateitem.h"
*/

#include "graleeditor.h"

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);

	/*EditorWidget w;
	QGraphicsScene scene;

	w.show();
	w.setScene(&scene);

	LayerItem *pLayerItem = new LayerItem();
	pLayerItem->setPos(0,0);
	PointItem *pItems[20][20];

	for (int x = 0 ; x < 20 ; x++)
	{
		for (int y = 0 ; y < 20 ; y++)
		{
			pItems[x][y] = new PointItem(pLayerItem);

			pItems[x][y]->setPos(-45+x*5,-45+y*5);
		}
	}

	for (int x = 0 ; x < 19 ; x++)
	{
		for (int y = 0 ; y < 19 ; y++)
		{
			TriangleItem *pTriangle = new TriangleItem(pItems[x][y], pItems[x][y+1], pItems[x+1][y], pLayerItem);
			
			pTriangle = new TriangleItem(pItems[x+1][y+1], pItems[x][y+1], pItems[x+1][y], pLayerItem);
		}
	}

	LayerItem *pLayerItem2 = new LayerItem();
	pLayerItem2->setZValue(-1);

	FITSItem *pFITSItem = new FITSItem(pLayerItem2);

	scene.addItem(pLayerItem);
	scene.addItem(pLayerItem2);
	//pLayerItem->setVisible(true);

	CoordinateItem *pCoordItem = new CoordinateItem();
	pCoordItem->setZValue(100);
	scene.addItem(pCoordItem);
	*/

	GraleEditor editor;
	
	return app.exec();
}

